<?php
if (!defined('ABSPATH')) exit; // Exit if accessed directly

if( class_exists('WooCommerce') && !class_exists('ReyCore_Wc_AtcButtonsIcon') ):

class ReyCore_Wc_AtcButtonsIcon
{
	private $settings = [];

	public function __construct()
	{
		add_action( 'wp', [$this, 'init'] );
	}

	public function init()
	{

		$this->set_settings();

		if( $this->settings['catalog'] ){
			add_filter('reycore/woocommerce/loop/add_to_cart/content', [$this, 'add_icon__catalog'], 10, 2);
		}

		if( $this->settings['single'] ){
			add_filter('reycore/woocommerce/single_product/add_to_cart_button/variation', [$this,'add_icon__product_page'], 20, 3);
			add_filter('reycore/woocommerce/single_product/add_to_cart_button/simple', [$this, 'add_icon__product_page'], 20, 3);
		}
	}

	private function set_settings(){

		$this->settings = apply_filters('reycore/module/atc_buttons_icons', [
			'catalog' => $this->loop_cart_icon(),
			'single' => $this->single_cart_icon(),
		]);
	}

	function loop_cart_icon(){
		return ($cart_icon = get_theme_mod('loop_atc__icon', '')) ? reycore__get_svg_icon__core([ 'id'=> 'reycore-icon-' . $cart_icon ]) : '';
	}

	function single_cart_icon(){
		return ($cart_icon = get_theme_mod('single_atc__icon', '')) ? reycore__get_svg_icon__core([ 'id'=> 'reycore-icon-' . $cart_icon ]) : '';
	}

	function add_icon__catalog($html, $product) {
		return $this->settings['catalog'] . $html;
	}

	function add_icon__product_page($html, $product, $text) {
		$search = '<span class="single_add_to_cart_button-text">';
		return str_replace($search, $this->settings['single'] . $search, $html);
	}

}

new ReyCore_Wc_AtcButtonsIcon;

endif;
