<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if( $accordion_tabs = get_theme_mod('single__accordion_items', []) ):

	$layout = get_theme_mod('single__accordion_layout', 'acc');
	$product_tabs = apply_filters( 'woocommerce_product_tabs', [] );
	$new_product_tabs = [];

	foreach ($accordion_tabs as $key => $value) {

		if( isset($product_tabs[ $value['item'] ]) ){

			$new_product_tabs[ $value['item'] ] = $product_tabs[ $value['item'] ];

			if( isset($value['title']) && !empty($value['title'])  ){
				$new_product_tabs[ $value['item'] ]['title'] = $value['title'];
			}

		}
		// Inject Short Description
		elseif( $value['item'] === 'short_desc' ){
			$new_product_tabs[ $value['item'] ] = [
				'title' => isset($value['title']) ? $value['title'] : esc_html__('Description', 'rey-core'),
				'callback' => ['ReyCore_WooCommerce_Tabs', 'render_short_description'],
			];
		}

	}

	?>

	<div class="rey-summaryAcc <?php echo '--layout-' . $layout ?>">

		<?php if( $layout === 'tabs' ): ?>
		<ul class="rey-summaryAcc-tabList" role="tablist">
			<?php
			$ti = 0;
			foreach ( $new_product_tabs as $key => $product_tab ) : ?>
				<li class="<?php echo esc_attr( $key ); ?>_acctab <?php echo $ti === 0 ? '--active' : ''; ?>" id="tab-title-<?php echo esc_attr( $key ); ?>" role="tab" aria-controls="tab-<?php echo esc_attr( $key ); ?>">
					<a href="#acctab-<?php echo esc_attr( $key ); ?>">
						<?php echo wp_kses_post( apply_filters( 'woocommerce_product_' . $key . '_tab_title', $product_tab['title'], $key ) ); ?>
					</a>
				</li>
			<?php
			$ti++;
			endforeach; ?>
		</ul>
		<?php endif; ?>

		<?php
			$ci = 0;

			foreach ( $new_product_tabs as $key => $product_tab ) :
				$class = ReyCore_WooCommerce_Tabs::determine_acc_tab_to_start_opened($ci) ? '--active' : '';
				?>

			<?php if( $layout === 'acc' ): ?>
				<a class="rey-summaryAcc-accItem <?php echo $class; ?>" href="#acctab-<?php echo esc_attr( $key ); ?>">
					<span><?php echo wp_kses_post( apply_filters( 'woocommerce_product_' . $key . '_tab_title', $product_tab['title'], $key ) ); ?></span>
					<?php echo reycore__get_svg_icon__core(['id'=>'reycore-icon-plus', 'class'=>'--closed']); ?>
					<?php echo reycore__get_svg_icon__core(['id'=>'reycore-icon-minus', 'class'=>'--opened']); ?>
				</a>
			<?php endif; ?>

			<div class="rey-summaryAcc-item rey-summaryAcc-item--<?php echo esc_attr( $key ); ?> <?php echo $class; ?>" id="acctab-<?php echo esc_attr( $key ); ?>" role="tabpanel" aria-labelledby="acctab-title-<?php echo esc_attr( $key ); ?>">
				<div class="__inner">
				<?php
				if ( isset( $product_tab['callback'] ) ) {
					call_user_func( $product_tab['callback'], $key, $product_tab );
				} ?>
				</div>
			</div>

		<?php
		$ci++;
		endforeach; ?>

	</div>

<?php endif; ?>
